package com.ygtx.gxt.mapper;

import java.util.List;
import com.ygtx.gxt.domain.GxtScoreRuntime;

/**
 * 运行时长分值配置Mapper接口
 * 
 * @author ygtx
 * @date 2025-11-11
 */
public interface GxtScoreRuntimeMapper 
{
    /**
     * 查询运行时长分值配置
     * 
     * @param id 运行时长分值配置主键
     * @return 运行时长分值配置
     */
    public GxtScoreRuntime selectGxtScoreRuntimeById(Long id);

    /**
     * 查询运行时长分值配置列表
     * 
     * @param gxtScoreRuntime 运行时长分值配置
     * @return 运行时长分值配置集合
     */
    public List<GxtScoreRuntime> selectGxtScoreRuntimeList(GxtScoreRuntime gxtScoreRuntime);

    /**
     * 新增运行时长分值配置
     * 
     * @param gxtScoreRuntime 运行时长分值配置
     * @return 结果
     */
    public int insertGxtScoreRuntime(GxtScoreRuntime gxtScoreRuntime);

    /**
     * 修改运行时长分值配置
     * 
     * @param gxtScoreRuntime 运行时长分值配置
     * @return 结果
     */
    public int updateGxtScoreRuntime(GxtScoreRuntime gxtScoreRuntime);

    /**
     * 删除运行时长分值配置
     * 
     * @param id 运行时长分值配置主键
     * @return 结果
     */
    public int deleteGxtScoreRuntimeById(Long id);

    /**
     * 批量删除运行时长分值配置
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteGxtScoreRuntimeByIds(Long[] ids);
}